Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface PIVLPPDTS

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PPDTS, QTY, SXCMPPDTS, TS1

All Known Implementing Classes:
  PIVLPPDTSImpl

    public interface PIVLPPDTS

extends SXCMPPDTS

A representation of the model object 'PIVLPPDTS'. Note: because this type is defined as an extension of SXCM_T, all of the attributes and elements accepted for T are also accepted by this definition. However, they are NOT allowed by the normative description of this type. Unfortunately, we cannot write a general purpose schematron contraints to provide that extra validation, thus applications must be aware that instance (fragments) that pass validation with this might might still not be legal.

The following features are supported:

- `Phase`
- `Period`
- `Alignment`
- `Institution Specified`

See Also:
  `CDAR2Package.getPIVLPPDTS()`

Method Summary
`java.lang.Object` | `getAlignment()` Returns the value of the 'Alignment' attribute.
`PPDPQ` | `getPeriod()` Returns the value of the 'Period' containment reference.
`IVLPPDTS` | `getPhase()` Returns the value of the 'Phase' containment reference.
`boolean` | `isInstitutionSpecified()` Returns the value of the 'Institution Specified' attribute.
`boolean` | `isSetInstitutionSpecified()` Returns whether the value of the '`Institution Specified`' attribute is set.
`void` | `setAlignment(java.lang.Object value)` Sets the value of the '`Alignment`' attribute.
`void` | `setInstitutionSpecified(boolean value)` Sets the value of the '`Institution Specified`' attribute.
`void` | `setPeriod(PPDPQ value)` Sets the value of the '`Period`' containment reference.
`void` | `setPhase(IVLPPDTS value)` Sets the value of the '`Phase`' containment reference.
`void` | `unsetInstitutionSpecified()` Unsets the value of the '`Institution Specified`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.SXCMPPDTS
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.PPDTS
`getDistributionType, getStandardDeviation, isSetDistributionType, setDistributionType, setStandardDeviation, unsetDistributionType`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.TS1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPhase

    IVLPPDTS getPhase()

  Returns the value of the 'Phase' containment reference. A prototype of the repeating interval specifying the duration of each occurrence and anchors the periodic interval sequence at a certain point in time.

  Returns:
    the value of the 'Phase' containment reference.
  See Also:
    `setPhase(IVLPPDTS)`, `CDAR2Package.getPIVLPPDTS_Phase()`

### setPhase

    void setPhase(IVLPPDTS value)

  Sets the value of the '`Phase`' containment reference.

  Parameters:
    `value` - the new value of the 'Phase' containment reference.
  See Also:
    `getPhase()`

### getPeriod

    PPDPQ getPeriod()

  Returns the value of the 'Period' containment reference. A time duration specifying a reciprocal measure of the frequency at which the periodic interval repeats.

  Returns:
    the value of the 'Period' containment reference.
  See Also:
    `setPeriod(PPDPQ)`, `CDAR2Package.getPIVLPPDTS_Period()`

### setPeriod

    void setPeriod(PPDPQ value)

  Sets the value of the '`Period`' containment reference.

  Parameters:
    `value` - the new value of the 'Period' containment reference.
  See Also:
    `getPeriod()`

### getAlignment

    java.lang.Object getAlignment()

  Returns the value of the 'Alignment' attribute. Specifies if and how the repetitions are aligned to the cycles of the underlying calendar (e.g., to distinguish every 30 days from "the 5th of every month".) A non-aligned periodic interval recurs independently from the calendar. An aligned periodic interval is synchronized with the calendar.

  Returns:
    the value of the 'Alignment' attribute.
  See Also:
    `setAlignment(Object)`, `CDAR2Package.getPIVLPPDTS_Alignment()`

### setAlignment

    void setAlignment(java.lang.Object value)

  Sets the value of the '`Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Alignment' attribute.
  See Also:
    `getAlignment()`

### isInstitutionSpecified

    boolean isInstitutionSpecified()

  Returns the value of the 'Institution Specified' attribute. The default value is `"false"`. Indicates whether the exact timing is up to the party executing the schedule (e.g., to distinguish "every 8 hours" from "3 times a day".)

  Returns:
    the value of the 'Institution Specified' attribute.
  See Also:
    `isSetInstitutionSpecified()`, `unsetInstitutionSpecified()`, `setInstitutionSpecified(boolean)`, `CDAR2Package.getPIVLPPDTS_InstitutionSpecified()`

### setInstitutionSpecified

    void setInstitutionSpecified(boolean value)

  Sets the value of the '`Institution Specified`' attribute.

  Parameters:
    `value` - the new value of the 'Institution Specified' attribute.
  See Also:
    `isSetInstitutionSpecified()`, `unsetInstitutionSpecified()`, `isInstitutionSpecified()`

### unsetInstitutionSpecified

    void unsetInstitutionSpecified()

  Unsets the value of the '`Institution Specified`' attribute.

  See Also:
    `isSetInstitutionSpecified()`, `isInstitutionSpecified()`, `setInstitutionSpecified(boolean)`

### isSetInstitutionSpecified

    boolean isSetInstitutionSpecified()

  Returns whether the value of the '`Institution Specified`' attribute is set.

  Returns:
    whether the value of the 'Institution Specified' attribute is set.
  See Also:
    `unsetInstitutionSpecified()`, `isInstitutionSpecified()`, `setInstitutionSpecified(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD